stages:
  - trigger

variables:
  # default container
  IMAGETAG: "jammy_openfoam2212"


matrixTrigger:
  stage: trigger
  allow_failure: true
  parallel:
    matrix:
      - CI_IMAGE: ["jammy_openfoam2206", "jammy_openfoam2212"]
  trigger:
    include:
      - local: .child.yml
    strategy: depend
  variables:
    PARENT_PIPELINE_COMMIT_BRANCH: $CI_COMMIT_BRANCH
    PARENT_PIPELINE_DEFAULT_BRANCH: $CI_DEFAULT_BRANCH
